1. 🔐 Authenticated
TunnelSats Public Wireguard API
  • About our team
  • 📢 Public
    • List available VPN servers
      GET
    • Create a new VPN subscription
      POST
    • Claim a WireGuard configuration after payment
      POST
    • Check subscription status via payment hash
      GET
    • Renew an existing VPN subscription
      POST
    • Get Subscription Status
      POST
  • 🔐 Authenticated
    • Sync Subscription
      POST
    • Create Referral Code
      POST
    • Referral History
      GET
    • List all active/paid subscriptions for the account
      GET
  • Announcements
    • 💫 What is TunnelSats?
    • 🚀 Introducing the TunnelSats Public API v1
    • How TunnelSats Leverages Public APIs for Confined VPN Management
  • Cookbook
    • 🛠️ Automation & Code Examples
    • 🐚 Bash One-Liners
    • 🛑 Error Codes & Troubleshooting
    • 🎁 Referral Program: Earn Bonus Months
    • 🚑 Node Health & Upkeep
    • 🛡️ Security & Authentication
  • Schemas
    • Server
    • InvoiceOrder
    • SubscriptionStatus
    • WireGuardConfig
    • ReferralCode
    • ReferralHistory
    • NodeLookup
    • ConnectivityResult
    • RenewalOrder
    • ClaimResult
    • ApiError
    • SubscriptionListItem
  1. 🔐 Authenticated

List all active/paid subscriptions for the account

GET
/api/public/v1/subscription/list

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or

Responses

🟢200
application/json
Success
Body

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://tunnelsats.com/api/public/v1/subscription/list' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "subscriptions": [
        {
            "id": "string",
            "payment_hash": "string",
            "server_domain": "string",
            "server_country": "string",
            "subscription_end": "2019-08-24T14:15:22.123Z",
            "status": "string",
            "created_at": "2019-08-24T14:15:22.123Z",
            "key_id": "string",
            "bandwidth_used": 0,
            "vpn_ip": "string",
            "duration": 0
        }
    ]
}
Modified at 2026-04-12 12:54:30
Previous
Referral History
Next
💫 What is TunnelSats?
Built with